Subject: [PATCH] ARM: print cma-reserved pages from show_mem

From: [email-masked] (Laura Abbott)
Date: Fri, 06 Feb 2015 13:41:15 -0800

On 2/6/2015 1:14 PM, Gregory Fong wrote:
> On Thu, Feb 5, 2015 at 4:41 PM, Laura Abbott <[email-masked]> wrote:
>> On 2/4/2015 3:22 PM, Gregory Fong wrote:
>>>
>>> Add cma reserved information to the ARM-specific show_mem.  It was
>>> added to the generic implementation by commit
>>> 49abd8c28046adf77c5ce1949549aa64d7221881 "lib/show_mem.c: add cma
>>> reserved information".
>>>
>>> Signed-off-by: Gregory Fong <[email-masked]>
>>> ---
>>>    arch/arm/mm/init.c | 4 ++++
>>>    1 file changed, 4 insertions(+)
>>>
>>> diff --git a/arch/arm/mm/init.c b/arch/arm/mm/init.c
>>> index 2495c8c..da77507 100644
>>> --- a/arch/arm/mm/init.c
>>> +++ b/arch/arm/mm/init.c
>>> @@ -22,6 +22,7 @@
>>>    #include <linux/memblock.h>
>>>    #include <linux/dma-contiguous.h>
>>>    #include <linux/sizes.h>
>>> +#include <linux/cma.h>
>>>
>>>    #include <asm/cp15.h>
>>>    #include <asm/mach-types.h>
>>> @@ -130,6 +131,9 @@ void show_mem(unsigned int filter)
>>>          printk("%d pages of RAM\n", total);
>>>          printk("%d free pages\n", free);
>>>          printk("%d reserved pages\n", reserved);
>>> +#ifdef CONFIG_CMA
>>> +       printk("%lu cma reserved pages\n", totalcma_pages);
>>> +#endif
>>
>>
>> Nit: 'cma reserved pages' is a bit unclear. Are there some CMA
>> pages that aren't reserved? Dropping the reserved might be
>> clearer.
>
> Sure, I was trying to replicate what's in lib/show_mem.c, but it
> doesn't actually make much sense.  Maybe it would be better to change
> to "cma pages" here and change the wording in that lib/show_mem.c too.
>
> I'll wait a bit for any other thoughts and send out a v2 with those changes.
>

So it looks like the lib/show_mem.c does something different
#ifdef CONFIG_CMA
         printk("%lu pages reserved\n", (reserved - totalcma_pages));
         printk("%lu pages cma reserved\n", totalcma_pages);
#else
         printk("%lu pages reserved\n", reserved);
#endif

No need to change the name, instead I'd say fix up arm to match what
the generic showmem is doing.

Thanks,
Laura

-- 
Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project